Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.application
Class MiningMartSelectionListener

    java.lang.Object
      edu.udo.cs.miningmart.gui.application.MiningMartSelectionListener

All Implemented Interfaces:
  org.jhotdraw.framework.FigureSelectionListener

    public class MiningMartSelectionListener

extends java.lang.Object
implements org.jhotdraw.framework.FigureSelectionListener

Listener for the selection in a MiningMartDrawingView. So you can get the ModelElemets for the selected firgures.

Version:
  $Id: MiningMartSelectionListener.java,v 1.5 2006/09/27 15:00:01 euler Exp $
Author:
  Daniel Hakenjos

Constructor Summary
`MiningMartSelectionListener(MiningMartApplication app)`

Method Summary
`void` | `figureSelectionChanged(org.jhotdraw.framework.DrawingView view)`
`MiningMartBaseAttribute` | `getSelectedMiningMartBaseAttribute()` Gets the selected MiningMartBaseAttribute.
`MiningMartChain` | `getSelectedMiningMartChain()` Gets the selected MiningMartChain.
`MiningMartConcept` | `getSelectedMiningMartConcept()` Gets the selected MiningMartConcept.
`MiningMartMultiColumnFeature` | `getSelectedMiningMartMultiColumnFeature()` Gets the selected MiningMartMultiColumnFeature.
`MiningMartProjection` | `getSelectedMiningMartProjection()` Gets the selected MiningMartProjection.
`MiningMartRelation` | `getSelectedMiningMartRelation()` Gets the selected MiningMartRelation.
`MiningMartStep` | `getSelectedMiningMartStep()` Gets the selected MiningMartStep.
`MiningMartSubConcept` | `getSelectedMiningMartSubConcept()` Gets the selected MiningMartSubConcept.
`StepTransition` | `getSelectedStepTransition()` Gets the selected StepTransition.
`boolean` | `isAnythingSelected()`
`boolean` | `isMiningMartBaseAttributeSelected()` Is a figure of a MiningMartBaseAttribute selected?
`boolean` | `isMiningMartChainSelected()` Is a figure of a MiningMartChain selected?
`boolean` | `isMiningMartConceptSelected()` Is a figure of a MiningMartConcept selected?
`boolean` | `isMiningMartMultiColumnFeatureSelected()` Is a figure of a MiningMartMultiColumnFeature selected?
`boolean` | `isMiningMartProjectionSelected()` Is a transition of a MiningMartProjection selected?
`boolean` | `isMiningMartRelationSelected()` Is a transition of a MiningMartRelation selected?
`boolean` | `isMiningMartStepSelected()` Is a figure of a MiningMartStep selected?
`boolean` | `isMiningMartSubConceptSelected()` Is a transition of a SubConcept selected?
`boolean` | `isStepTransitionSelected()` Is a figure of a StepTransition selected?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiningMartSelectionListener

    public MiningMartSelectionListener(MiningMartApplication app)

Method Detail

### figureSelectionChanged

    public void figureSelectionChanged(org.jhotdraw.framework.DrawingView view)

  Specified by:
    `figureSelectionChanged` in interface `org.jhotdraw.framework.FigureSelectionListener`
  See Also:
    `CH.ifa.draw.framework.FigureSelectionListener#figureSelectionChanged(DrawingView)`

### isMiningMartSubConceptSelected

    public boolean isMiningMartSubConceptSelected()

  Is a transition of a SubConcept selected?

### isMiningMartRelationSelected

    public boolean isMiningMartRelationSelected()

  Is a transition of a MiningMartRelation selected?

### isMiningMartProjectionSelected

    public boolean isMiningMartProjectionSelected()

  Is a transition of a MiningMartProjection selected?

### isMiningMartConceptSelected

    public boolean isMiningMartConceptSelected()

  Is a figure of a MiningMartConcept selected?

### isMiningMartBaseAttributeSelected

    public boolean isMiningMartBaseAttributeSelected()

  Is a figure of a MiningMartBaseAttribute selected?

### isMiningMartMultiColumnFeatureSelected

    public boolean isMiningMartMultiColumnFeatureSelected()

  Is a figure of a MiningMartMultiColumnFeature selected?

### isMiningMartStepSelected

    public boolean isMiningMartStepSelected()

  Is a figure of a MiningMartStep selected?

### isMiningMartChainSelected

    public boolean isMiningMartChainSelected()

  Is a figure of a MiningMartChain selected?

### isStepTransitionSelected

    public boolean isStepTransitionSelected()

  Is a figure of a StepTransition selected?

### isAnythingSelected

    public boolean isAnythingSelected()

### getSelectedMiningMartMultiColumnFeature

    public MiningMartMultiColumnFeature getSelectedMiningMartMultiColumnFeature()

  Gets the selected MiningMartMultiColumnFeature.

  Returns:
    null, if no MiningMartMultiColumnFeature is selected

### getSelectedMiningMartBaseAttribute

    public MiningMartBaseAttribute getSelectedMiningMartBaseAttribute()

  Gets the selected MiningMartBaseAttribute.

  Returns:
    null, if no MiningMartBaseAttribute is selected

### getSelectedMiningMartConcept

    public MiningMartConcept getSelectedMiningMartConcept()

  Gets the selected MiningMartConcept.

  Returns:
    null, if no MiningMartConcept is selected

### getSelectedMiningMartStep

    public MiningMartStep getSelectedMiningMartStep()

  Gets the selected MiningMartStep.

  Returns:
    null, if no MiningMartStep is selected

### getSelectedMiningMartChain

    public MiningMartChain getSelectedMiningMartChain()

  Gets the selected MiningMartChain.

  Returns:
    null, if no MiningMartChain is selected

### getSelectedStepTransition

    public StepTransition getSelectedStepTransition()

  Gets the selected StepTransition.

  Returns:
    null, if no StepTransition is selected

### getSelectedMiningMartSubConcept

    public MiningMartSubConcept getSelectedMiningMartSubConcept()

  Gets the selected MiningMartSubConcept.

  Returns:
    null, if no MiningMartSubConcept is selected

### getSelectedMiningMartRelation

    public MiningMartRelation getSelectedMiningMartRelation()

  Gets the selected MiningMartRelation.

  Returns:
    null, if no MiningMartRelation is selected

### getSelectedMiningMartProjection

    public MiningMartProjection getSelectedMiningMartProjection()

  Gets the selected MiningMartProjection.

  Returns:
    null, if no MiningMartProjection is selected

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005